server:
  port: 8092
management:
  endpoints:
    web:
      exposure:
        include: info, health, beans, configprops, liquibase, mappings, metrics
  endpoint:
    health:
      show-details: always

spring:
  datasource:
    url: jdbc:mysql://localhost:33162/flight-booking-orchestration?nullNamePatternMatchesAll=true&serverTimezone=CET
    username: testuser
    password: test12
  mvc:
    log-resolved-exception: true
  liquibase:
    change-log: classpath:/db/changelog/changelog-master.xml
  jpa:
    open-in-view: false
    properties:
      hibernate.jdbc.batch_size: 5000
  kafka:
    bootstrap-servers: localhost:9092
    consumer:
      group-id: flight-booking-service-orchestration
      auto-offset-reset: earliest
      properties:
        spring.json.trusted.packages: de.sidion.saga.events
